#
# spec file for package db41 (Version 4.1.25)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs ed file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           db41
BuildRequires:  ed gcc-c++
Summary:        Berkeley DB Database Library Version 4.1
Version:        4.1.25
Release:        91.2
Source:         db-%{version}.tar.bz2
Patch:          db-%{version}.dif
Patch1:         patch.4.1.25.1
Patch2:         db-%{version}-ppc.patch
Patch3:         db-%{version}-mips.diff
URL:            http://www.sleepycat.com
License:        BSD
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}

%description
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the necessary runtime libraries for the old 4.1
release.



%debug_package
%package devel
Summary:        Development Include Files and Libraries for the old Berkeley DB library Version 4.1
Group:          System/Libraries
Prefix:         %{_prefix}
Requires:       db41 = %{version} glibc-devel

%description devel
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the header files, libraries, and documentation
for building programs which need the old Berkeley DB version 4.1. If
possible programs should be converted to work with the new Berkeley DB
version, version 4.1 will be removed in a future release.



%prep
%setup -q -n db-%{version}
%patch
%patch1
%patch2
%patch3

%build
cd dist
./s_config
cd ../build_unix
CFLAGS="$RPM_OPT_FLAGS -Wall -W -fno-strict-aliasing -Wa,--noexecstack -I/usr/include/nptl"
CXXFLAGS="$CFLAGS"
CC=gcc
export CFLAGS CXXFLAGS CC
../dist/configure --prefix=%{_prefix} \
        --libdir=%{_libdir} --enable-compat185 --disable-dump185 \
        --enable-shared --enable-static --enable-rpc --enable-cxx \
	--with-mutex="POSIX/pthreads/library" \
        %{_target_cpu}-suse-linux
# Make sure O_DIRECT is really disabled (build host could have old kernel)
perl -pi -e 's/#define HAVE_O_DIRECT 1/#undef HAVE_O_DIRECT/' db_config.h
make LIBSO_LIBS="-L%{_libdir}/nptl "'$(LIBS)' \
	LIBXSO_LIBS="-L%{_libdir}/nptl "'$(LIBS)'" -L%{_libdir} -lstdc++"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/db41
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}
cd build_unix
make prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir} install
cd ..
# make ldd happy:
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libdb*.so
# Fix header file installation
mv ${RPM_BUILD_ROOT}%{_includedir}/*.h ${RPM_BUILD_ROOT}%{_includedir}/db41
# remove dangling tags symlink from examples.
rm -f examples_cxx/tags
rm -f examples_c/tags
# Move documentation to the right directory
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/db41
mv $RPM_BUILD_ROOT%{_prefix}/docs/* $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/
cp -a examples_cxx examples_c $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/
cp -a LICENSE README $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/
#
# Remove api documentation for Java and TCL
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/api_java
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/api_tcl
# Remove utils binaries and docu
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db41/utility
rm $RPM_BUILD_ROOT/usr/bin/*
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb-4.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx-4.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libdb_cxx.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/db41
%doc %{_defaultdocdir}/db41/LICENSE
%doc %{_defaultdocdir}/db41/README
%doc %{_defaultdocdir}/db41/index.html
%doc %{_defaultdocdir}/db41/images
%doc %{_defaultdocdir}/db41/sleepycat
%{_libdir}/libdb-4.1.so
%{_libdir}/libdb_cxx-4.1.so

%files devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/db41/api_c
%doc %{_defaultdocdir}/db41/api_cxx
%doc %{_defaultdocdir}/db41/ref
%doc %{_defaultdocdir}/db41/reftoc.html
%doc %{_defaultdocdir}/db41/examples_c
%doc %{_defaultdocdir}/db41/examples_cxx
%dir %{_includedir}/db41
%{_includedir}/db41/db.h
%{_includedir}/db41/db_185.h
%{_includedir}/db41/db_cxx.h
%{_includedir}/db41/cxx_common.h
%{_includedir}/db41/cxx_except.h
%{_libdir}/libdb-4.1.a
%{_libdir}/libdb_cxx-4.1.a

%changelog -n db41
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- remove unpackaged symlinks from buildroot
* Mon Nov 21 2005 - kukuk@suse.de
- Remove NPTL hack (breaks with new binutils)
* Mon Jul 11 2005 - kukuk@suse.de
- Remove *.la files
- Add glibc-devel to db41-devel as requirement
- Compile only version for NPTL
* Mon Jan 12 2004 - kukuk@suse.de
- Add/remove nptl linked version to/from ldconfig cache
* Tue Dec 09 2003 - kukuk@suse.de
- Add s390 as NPTL architecture
* Thu Nov 27 2003 - kukuk@suse.de
- Fix linking of libdb_cxx.so
* Mon Nov 24 2003 - kukuk@suse.de
- Link non-NPTL libdb on NPTL archs against pthread library, too
* Fri Nov 21 2003 - kukuk@suse.de
- Remove old, unused patches
- Compile with no-execstack
- Add db linked against nptl pthread library
* Fri Oct 17 2003 - adrian@suse.de
- revert last change and implement fast mutexes for mips
  (partly taken from linux kernel source)
* Wed Oct 15 2003 - adrian@suse.de
- use posixmutexes on mips
* Wed Oct 15 2003 - kukuk@suse.de
- Build as non root
* Thu Oct 02 2003 - kukuk@suse.de
- Remove ed from needed for build
* Fri Sep 26 2003 - kukuk@suse.de
- Disable db_dump185
- Enable compiler warnings
- Disable strict aliasing
* Mon Jun 23 2003 - meissner@suse.de
- PPC needs isync after bne or it might break on SMP systems
  and lwsync (sync all previous memory operations) on unset.
* Mon May 12 2003 - kukuk@suse.de
- Add examples_{c,cxx} to devel filelist
* Thu May 08 2003 - kukuk@suse.de
- Update to 4.1.25
* Thu Jan 23 2003 - bg@suse.de
- Fix mutex support for hppa
  (patch by Keith Bostic, bostic@sleepycat.com)
* Thu Jan 09 2003 - kukuk@suse.de
- Add db4-4.0.14-recover.patch: fix endless loop with db_recover
* Mon Sep 16 2002 - rhafer@suse.de
- Added locker-leak-fix.dif, which fixes a resource leak triggerd
  by openldap2 and larger databases. For more details see:
  www.openldap.org/its/index.cgi/Software%%20Bugs?id=2040
* Sat Aug 31 2002 - schwab@suse.de
- Fix last libstdc++ change for real.
* Fri Aug 30 2002 - kukuk@suse.de
- Fix last libstdc++ change
* Tue Aug 27 2002 - pthomas@suse.de
- Explicitely link libdb_cxx against libstdc++. This is a hack
  until libtool 1.4e is released.
- Directly pass RPM_OPT_FLAGS as CFLAGS and CXXFLAGS.
* Thu Jul 25 2002 - rhafer@suse.de
- fix for mutex support on s390 (by bk@suse.de)
- rebuild configure script during build (using s_conf)
* Wed Jul 03 2002 - uli@suse.de
- added mutex support for x86-64
* Fri May 10 2002 - kukuk@suse.de
- Add patch to fix missing mutex support on Alpha, SPARC and s390
* Fri May 03 2002 - kukuk@suse.de
- correct calculation of needed space for shalloc [Bug #12096]
* Mon Jan 21 2002 - kukuk@suse.de
- Update to db 4.0.14
- put all documenation into /usr/share/doc/packages/db, so html
  index works.
* Thu Nov 15 2001 - ro@suse.de
- added patch 3.3.11.1
  Fix a bug in DB 1.85 compatibility mode that could cause
  DB 1.85 applications to fail to compile
* Mon Nov 05 2001 - adrian@suse.de
- update to 3.3.11
- move optional documentation to db-extensions-devel package
* Fri Jul 20 2001 - kukuk@suse.de
- Fix build on multilib archs
* Wed Jun 06 2001 - bk@suse.de
- add suse_update_config for s390x
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Mar 31 2001 - schwab@suse.de
- Build static and shared libraries in one go.
* Mon Nov 06 2000 - kukuk@suse.de
- Add /usr/include/db_185.h and /usr/include/db_cxx.h
* Wed Oct 25 2000 - kukuk@suse.de
- Install static library versions, too
* Sat Oct 21 2000 - kukuk@suse.de
- Fix documentation
- Add /usr/include/db.h
* Wed Oct 18 2000 - kukuk@suse.de
- initial version
